#!/bin/sh
# Creates HTML version of the wiki.

echo "making HTML"
rm -rf html
mkdir html

DATE=`date +"%D"`
FILELIST="filelist.html"
HEADER="<html><head><title>LRS Wiki</title></head><body><h1>less_retarded_wiki</h1><a href=\"main.html\">main page</a>, <a href=\"$FILELIST\">file list</a>, last updated on $DATE<hr />"
FOOTER="<hr/><p>All content available under <a href=\"https://creativecommons.org/publicdomain/zero/1.0/\">CC0 1.0</a> (public domain).</p></body></html>"

echo "$HEADER <ul>" > html/$FILELIST

for f in *.md; do
  fname=$(echo "$f" | sed "s/\.md//g")

  echo "<li><a href="${fname}.html"> $fname </a></li>" >> html/$FILELIST

  f2="html/${fname}.html"

  echo $HEADER > $f2
  markdown $f | sed "s/\.md\"/.html\"/g" >> $f2
  echo $FOOTER >> $f2
done

echo "$HEADER<a href="main.html">Go to main page.</a>$FOOTER" >> html/index.html

echo "</ul> $FOOTER" >> html/$FILELIST


echo "done"
